/**
 * generated by Xtext 2.27.0
 */
package org.eclipse.papyrus.robotics.assertions.languages.stl.stlText;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>expression cont</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_cont#getI <em>I</em>}</li>
 *   <li>{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_cont#getE <em>E</em>}</li>
 * </ul>
 *
 * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getexpression_cont()
 * @model
 * @generated
 */
public interface expression_cont extends EObject
{
  /**
   * Returns the value of the '<em><b>I</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>I</em>' containment reference.
   * @see #setI(interval)
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getexpression_cont_I()
   * @model containment="true"
   * @generated
   */
  interval getI();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_cont#getI <em>I</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>I</em>' containment reference.
   * @see #getI()
   * @generated
   */
  void setI(interval value);

  /**
   * Returns the value of the '<em><b>E</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>E</em>' containment reference.
   * @see #setE(EObject)
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getexpression_cont_E()
   * @model containment="true"
   * @generated
   */
  EObject getE();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_cont#getE <em>E</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>E</em>' containment reference.
   * @see #getE()
   * @generated
   */
  void setE(EObject value);

} // expression_cont
